curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/rewards \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}List program reward assignments
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of rewards assigned to the program, including their stock configuration and redemption counters.
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/rewards \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Query Parameters
Maximum number of items to return. Between 1 and 100. Defaults to 10. Non-integer values are rounded.
1 <= x <= 100Sorting order. A single value or an array of values. Prefix with - for descending.
Defaults to -created_at. The same field cannot be used in both ascending and
descending order at once.
-created_at, created_at Pagination cursor returned by a previous call (cursor.next).
^lcrsrewa_[a-f0-9]+$Response
Paginated list of reward assignments.

